zenilib: Zeni::Point2i Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Zeni::Point2i Class Reference
Zenilib

A 2D Point represented with integers. More...

`#include <Coordinate.h>`

## Public Member Functions

| Point2i ()
| Point2i (const int &x_, const int &y_)
| Point2i (const Point2f &rhs)
| Point2i (const Point3i &rhs)
| z in rhs is ignored. More...
| Point2i (const Point3f &rhs)
| z in rhs is ignored. More...
Point2i | interpolate_to (const float &rhs_part, const Point2i &rhs) const
| Get a point inbetween this point and another point of the same type. More...

## Public Attributes

Sint32 | x
Sint32 | y

## Static Public Attributes

static const Sint32 | z = 0

## Detailed Description

A 2D Point represented with integers.

Note
  Point2f is often a better choice.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 85 of file Coordinate.h.

## Constructor & Destructor Documentation

Zeni::Point2i::Point2i | ( |  | ) |

inline

Definition at line 29 of file Coordinate.hxx.

Referenced by interpolate_to().

Zeni::Point2i::Point2i | ( | const int & | x_,
|  | const int & | y_
| ) |  |

inline

Definition at line 34 of file Coordinate.hxx.

Zeni::Point2i::Point2i | ( | const Point2f & | rhs | ) |

inlineexplicit

Definition at line 39 of file Coordinate.hxx.

Zeni::Point2i::Point2i | ( | const Point3i & | rhs | ) |

inlineexplicit

z in rhs is ignored.

Definition at line 44 of file Coordinate.hxx.

Zeni::Point2i::Point2i | ( | const Point3f & | rhs | ) |

inlineexplicit

z in rhs is ignored.

Definition at line 49 of file Coordinate.hxx.

## Member Function Documentation

Point2i Zeni::Point2i::interpolate_to | ( | const float & | rhs_part,
|  | const Point2i & | rhs
| ) |  | const

Get a point inbetween this point and another point of the same type.

Definition at line 22 of file Coordinate.cpp.

References Point2i(), x, and y.

## Member Data Documentation

Sint32 Zeni::Point2i::x

Definition at line 94 of file Coordinate.h.

Referenced by Zeni::Window::alert_window_resized(), Zeni::Image::blit(), Zeni::Video::change_resolution(), Zeni::Video_DX9::clear_render_target(), Zeni::Video_DX9::create_Texture(), Zeni::Image::extract_Color(), Zeni::Text_Box::get_cursor_pos(), Zeni::Window::get_width(), Zeni::Image::Image(), interpolate_to(), Zeni::Widget_Rectangle::is_inside(), Zeni::Text_Box::on_accept(), Zeni::Text_Box::on_key(), Zeni::Slider::on_mouse_button(), Zeni::Slider_Int::on_mouse_button(), Zeni::Selector::on_mouse_button(), Zeni::Text_Box::on_mouse_button(), Zeni::Slider::on_mouse_motion(), Zeni::Selector::on_mouse_motion(), Zeni::Text_Box::render_impl(), Zeni::Text_Box::seek(), Zeni::Text_Box::seek_cursor(), Zeni::serialize(), Zeni::Video::set_2d(), Zeni::Window::set_failsafe_defaults(), Zeni::Video_GL_Fixed::set_render_target(), Zeni::Video_GL_Shader::set_render_target(), Zeni::Texture_DX9::Texture_DX9(), Zeni::unserialize(), Zeni::Image::width(), Zeni::Window::Window(), and Zeni::window_mode_lt().

Sint32 Zeni::Point2i::y

Definition at line 94 of file Coordinate.h.

Referenced by Zeni::Window::alert_window_resized(), Zeni::Image::blit(), Zeni::Video::change_resolution(), Zeni::Video_DX9::clear_render_target(), Zeni::Video_DX9::create_Texture(), Zeni::Image::extract_Color(), Zeni::Text_Box::get_cursor_pos(), Zeni::Window::get_height(), Zeni::Image::height(), Zeni::Image::Image(), interpolate_to(), Zeni::Widget_Rectangle::is_inside(), Zeni::Text_Box::on_accept(), Zeni::Text_Box::on_key(), Zeni::Slider::on_mouse_button(), Zeni::Slider_Int::on_mouse_button(), Zeni::Selector::on_mouse_button(), Zeni::Text_Box::on_mouse_button(), Zeni::Slider::on_mouse_motion(), Zeni::Selector::on_mouse_motion(), Zeni::Text_Box::render_impl(), Zeni::Text_Box::seek(), Zeni::Text_Box::seek_cursor(), Zeni::serialize(), Zeni::Video::set_2d(), Zeni::Window::set_failsafe_defaults(), Zeni::Video_GL_Fixed::set_render_target(), Zeni::Video_GL_Shader::set_render_target(), Zeni::Texture_DX9::Texture_DX9(), Zeni::unserialize(), Zeni::Window::Window(), and Zeni::window_mode_lt().

const int Zeni::Point2i::z = 0

static

Definition at line 95 of file Coordinate.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/Coordinate.h
- zenilib/jni/external/zenilib/zeni/Coordinate.cpp
- zenilib/jni/external/zenilib/zeni/Zeni/Coordinate.hxx